<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ taglib uri="inca.tld" prefix="inca" %>
<%@ taglib uri="xslt.tld" prefix="xslt" %>
<%@page import="java.net.URL"%>

<!-- will return suite and resources to be formatted by index.xsl -->

<html>

<%
  String urlStr = request.getQueryString();
  String xsl = request.getParameter("xsl");

  String xml = "<combo>\n";
  %><inca:getSuiteConfigs retAttrName="suiteConfigs"/><%
  xml += (String)pageContext.getAttribute("suiteConfigs");
  %><inca:getCatalog retAttrName="catalog" /><%
  xml += (String)pageContext.getAttribute("catalog");
  xml += "\n</combo>\n";
  
  if( xsl != null ) {
    URL url = ClassLoader.getSystemClassLoader().getResource( xsl );
    String xslPath = url.getFile();
    %><!-- from http://www.servletsuite.com/servlets/xsltag.htm -->
    <xslt:applyXSL xmlString="<%=xml%>" xslData="<%=xslPath%>">
      <xslt:setParameter name="url"><%=urlStr%></xslt:setParameter>
    </xslt:applyXSL>
    <%
  } else {
    %>
      <br/><br/><pre>
      <inca:printXML xml="<%=xml%>"/>
      </pre>
    <%
  }

%>

</html>
